Package Details: gconf-gtk2 3.2.6-5

Git Clone URL: https://aur.archlinux.org/gconf-gtk2.git (read-only, click to copy)
Package Base: gconf-gtk2
Description: A configuration database system compiled for GTK2
Upstream URL: http://www.gnome.org
Licenses: LGPL
Conflicts: gconf
Provides: gconf
Submitter: bidulock
Maintainer: bidulock
Last Packager: bidulock
Votes: 11
Popularity: 0.006362
First Submitted: 2013-02-22 11:39 (UTC)
Last Updated: 2017-06-03 08:45 (UTC)

Latest Comments

MarsSeed commented on 2022-03-24 12:44 (UTC) (edited on 2022-03-24 12:44 (UTC) by MarsSeed)

Hi,

I think it's time this old package stops providing gconf.

Only the following AUR packages need this gtk2-based one:

And all of them link to this package directly in their depends arrays.

It does not seem to be useful to provide gtk2-based gconf to all the dependents that require gconf-gtk3.

For the off-chance some dependent that links to gconf does actually need the gtk2 version, it's actually useful now that their maintainers are forced to change the dependency to this one, as AUR helpers don't tend to ask the user properly every time there is an alternative provider of a dependency, and this will lead to conflicts because of mixing gtk2 and gtk3 based libraries in the same dependency tree.

(As it happened for me while trying to revive one of the dependents, affinity, which would need the gtk2 version during runtime, but during building its myriads of dependencies, one of the libraries already pulled in the gtk3 based gconf and was linked against that. So there would have been a runtime conflict had I been able to finish the build.)

commented on 2013-06-03 16:00 (UTC)

gconfpkg should now be installed to /usr/bin